MemoryRole (Tomcat API Documentation)
Keywords: org.apache.catalina.users.MemoryRole class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.users
Class MemoryRole

    java.lang.Object
      org.apache.catalina.users.AbstractRole
          org.apache.catalina.users.MemoryRole

All Implemented Interfaces:
  java.security.Principal, Role

    public class MemoryRole

extends AbstractRole

Concrete implementation of `Role` for the `MemoryUserDatabase` implementation of `UserDatabase`.

Since:
  4.1
Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan

Field Summary
`protected MemoryUserDatabase` | `database` The `MemoryUserDatabase` that owns this role.

Fields inherited from class org.apache.catalina.users.AbstractRole
`description, rolename`

Method Summary
`UserDatabase` | `getUserDatabase()` Return the `UserDatabase` within which this role is defined.
`java.lang.String` | `toString()` Return a String representation of this role in XML format.

Methods inherited from class org.apache.catalina.users.AbstractRole
`getDescription, getName, getRolename, setDescription, setRolename`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, hashCode`

Field Detail

### database

    protected MemoryUserDatabase database

  The `MemoryUserDatabase` that owns this role.

Method Detail

### getUserDatabase

    public UserDatabase getUserDatabase()

  Return the `UserDatabase` within which this role is defined.

  Specified by:
    `getUserDatabase` in interface `Role`
  Specified by:
    `getUserDatabase` in class `AbstractRole`

### toString

    public java.lang.String toString()

  Return a String representation of this role in XML format.

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.